@import url('https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,300..700;1,300..700&family=Inter:ital,opsz,wght@0,14..32,100..900;1,14..32,100..900&display=swap');

:root {
    --fonte-titulo: 'Cormorant Garamond';
    --fonte-texto: 'Inter';
    --cor-principal: #A9CDE7;
    --cor-secundaria: #287FC2;
    --cor-texto: #2C3E50;
    --cor-destaque: #FFFFFF;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    text-decoration: none;
}

body {
    font-weight: 300;
    font-size: 100%;
    background-image: url("../img/arraial-do-cabo.jpg");
    background-repeat: no-repeat;
    background-size: cover;
}

.cabecalho {
    display: flex;
    justify-content: center;
    padding: 15px;
}

.cabecalho_menu {
    display: flex;
    gap: 20px;
}

.menu_link {
    color: var(--cor-principal);
    border: 1px solid transparent;
    padding: 12px 24px;
    border-radius: 30px;
    text-decoration: none;
    transition: 0.3s;
    font-family: var(--fonte-titulo);
    font-weight: 100;
    font-size: 20px;
}

.menu_link:hover {
    border-color: #287FC2;
    background-color: rgba(11, 100, 173, 0.25);
    cursor: pointer;
}

.titulo {
    text-align: center;
    font-family: var(--fonte-titulo);
    font-size: 40px;
    color: var(--cor-principal);
    margin-top: 85px;
}

.texto {
    font-family: var(--fonte-texto);
    font-size: 13px;
    color: var(--cor-texto);
    margin: 0 10px;
}

.subtitulo {
    text-align: center;
    color: var(--cor-secundaria);
    font-family: var(--fonte-titulo);
    font-weight: 300;
    font-size: 30px;
    font-style: italic;
    margin-top: 5px;
}

.subtitulo_about {
    text-align: center;
    color: var(--cor-secundaria);
    font-family: var(--fonte-titulo);
    font-weight: 500;
    text-shadow: 1px 1px 2px rgba(0,0,0,0.5);
    font-size: 30px;
    margin-top: 5px;

}

.sobre, .planejador {
    display: flex;
    gap: 30px;
    margin: 0px 30px;
}

.planejador {
    justify-content: center;
}

.sobre_cidade, .container_planejador {
    background-color: rgba(255,255,255,0.08);
    border-radius: 15px;
    padding: 15px;
}

.grid_container, .grid_container-praias {
    width: 100%;
    display: grid;
    grid-template-columns: repeat(4, 20%);
    justify-content: center;
    gap: 20px;
    margin-top: 20px;
}

.grid_container-praias {
    grid-template-columns: repeat(4, 4, 20%);
}

.titulo-sem-espaco {
    text-align: center;
    font-family: var(--fonte-titulo);
    font-size: 40px;
    color: var(--cor-principal);
    padding: 15px;
}

.container {
    background-color: rgba(255,255,255,0.08);
    width: 250px;
    border-radius: 15px;
    padding: 15px;
    text-align: center;
}

.container:hover {
    transform: translateY(-10px);
}

.container_imagem, .praias_imagem {
    width: 200px;
    height: 200px;
    cursor: pointer;
}

h3 {
    color: var(--cor-destaque);
    font-family: var(--fonte-titulo);
    font-size: 25px;
    font-weight: 500;
    margin-top: 10px;
}

.conteudo_container {
    display: none;
}

input:checked~.conteudo_container {
    display:block;
}

.container_natureza, .container_aventura, .container_cultura, .container_fotografia, .container_praias {
    display: none;
}

.lista_conteudo {
    list-style: none;
}

 .texto-conteudo_container, .lista-item {
    font-family: var(--fonte-texto);
    color: #000000;
    font-size: 13px;
 }

 @media (max-width: 890px) {
    body {
        min-height: 100vh;
        background-attachment: scroll; 
        background-image: repeat;     
    }

    .grid_container, .grid_container-praias {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        gap: 15px;
        box-sizing: border-box;
    }

    .container {
        width: 100%;
        max-width: 100%; 
        box-sizing: border-box;
        padding: 10px;
    }

    .container_imagem, .praias_imagem {
        width: 100%;
        height: 160px;
        display: block;
        object-fit: cover;
    }

    .cabecalho {
        margin-top: 5%;
        align-items: center;
    }

    .menu_link {
        padding: 5px 16px;
    }

}

@media (min-width: 390px) {
    body {
        background-attachment: scroll;
        background-repeat: repeat;
    }

    .cabecalho, .cabecalho_menu, .menu_link {
        display: inline;
        margin-top: ;
        width: 50px;
        height: 25px;
    }
}
